Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol.lastchange
Class EventedValueChannelVolume

    java.lang.Object
      org.teleal.cling.support.lastchange.EventedValue<ChannelVolume>
          org.teleal.cling.support.renderingcontrol.lastchange.EventedValueChannelVolume

Direct Known Subclasses:
  RenderingControlVariable.Volume

    public class EventedValueChannelVolume

extends EventedValue<ChannelVolume>

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.teleal.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`EventedValueChannelVolume(ChannelVolume value)`
`EventedValueChannelVolume(Map.Entry<String,String>[] attributes)`

Method Summary
`Map.Entry<String,String>[]` | `getAttributes()`
`protected org.teleal.cling.model.types.Datatype` | `getDatatype()`
`String` | `toString()`
`protected ChannelVolume` | `valueOf(Map.Entry<String,String>[] attributes)`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValue
`getName, getValue, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventedValueChannelVolume

    public EventedValueChannelVolume(ChannelVolume value)

### EventedValueChannelVolume

    public EventedValueChannelVolume(Map.Entry<String,String>[] attributes)

Method Detail

### valueOf

    protected ChannelVolume valueOf(Map.Entry<String,String>[] attributes)
                             throws org.teleal.cling.model.types.InvalidValueException

  Overrides:
    `valueOf` in class `EventedValue<ChannelVolume>`
  Throws:
    `org.teleal.cling.model.types.InvalidValueException`

### getAttributes

    public Map.Entry<String,String>[] getAttributes()

  Overrides:
    `getAttributes` in class `EventedValue<ChannelVolume>`

### toString

    public String toString()

  Overrides:
    `toString` in class `EventedValue<ChannelVolume>`

### getDatatype

    protected org.teleal.cling.model.types.Datatype getDatatype()

  Specified by:
    `getDatatype` in class `EventedValue<ChannelVolume>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.